## h323plus 1.21.0~dfsg

=== src/Makefile ===
#
# Makefile
#
# Make file for Open H323 library
#
# Copyright (c) 1998-2000 Equivalence Pty. Ltd.
#
# The contents of this file are subject to the Mozilla Public License
# Version 1.0 (the "License"); you may not use this file except in
# compliance with the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS"
# basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
# the License for the specific language governing rights and limitations
# under the License.
#
# The Original Code is Open H323 Library.
#
# The Initial Developer of the Original Code is Equivalence Pty. Ltd.
#
# Contributor(s): ______________________________________.
#
# $Log: Makefile,v $
# Revision 1.12  2008/11/28 13:06:49  willamowius
# add new files
#
# Revision 1.11  2008/07/19 01:12:29  willamowius
# enable building og H.341 on Linux
#
# Revision 1.10  2008/02/13 15:45:29  willamowius
# fix for PTLib 2.0.x: PW_LIBDIR is no longer provided
#
# Revision 1.9  2008/01/02 18:48:37  willamowius
# add file transfer files
#
# Revision 1.8  2008/01/01 00:16:12  shorne
# Added GnuGknat and FileTransfer support
#
# Revision 1.7  2007/11/11 03:02:46  shorne
# Added GCCPDU references for H230 implementation
#
# Revision 1.6  2007/11/07 14:47:47  shorne
# h230 fix again!
#
# Revision 1.5  2007/11/07 10:03:54  shorne
# fix h230 compile error
#
# Revision 1.4  2007/11/01 19:44:24  shorne
# *** empty log message ***
#
# Revision 1.3  2007/10/31 09:52:35  shorne
# added missing reference to H460.9
#
# Revision 1.2  2007/10/31 08:37:01  shorne
# removed unused reference
#
# Revision 1.1  2007/08/06 20:51:02  shorne
# First commit of h323plus
#
# Revision 1.136.2.5  2007/08/02 20:11:57  shorne
# Added H.341 Support
#
# Revision 1.136.2.4  2007/08/01 18:46:35  shorne
# fixed typo
#
# Revision 1.136.2.3  2007/07/20 22:03:26  shorne
# Initial H.350 Support
#
# Revision 1.136.2.2  2007/01/30 09:03:31  shorne
# Fixed H450 error and removed missed VIC files
#
# Revision 1.136.2.1  2006/12/23 19:08:02  shorne
# Plugin video codecs & sundry
#
#
#

ifndef OPENH323DIR
OPENH323DIR=$(CURDIR)/..
endif

LIBRARY_MAKEFILE:=1

include $(OPENH323DIR)/openh323u.mak


OH323_OBJDIR = $(OH323_LIBDIR)/$(PT_OBJBASE)
ifdef NOTRACE
OH323_OBJDIR := $(OH323_OBJDIR)n
endif


OBJDIR	=	$(OH323_OBJDIR)
LIBDIR	=	$(OH323_LIBDIR)
TARGET	=	$(LIBDIR)/$(OH323_FILE)
VERSION_FILE =	$(OPENH323DIR)/version.h

########################################

SOURCES		+= \
		   $(OH323_SRCDIR)/h225_1.cxx \
		   $(OH323_SRCDIR)/h225_2.cxx \
		   $(OH323_SRCDIR)/h245_1.cxx \
		   $(OH323_SRCDIR)/h245_2.cxx \
		   $(OH323_SRCDIR)/h245_3.cxx 

HEADER_FILES	+= $(OH323_INCDIR)/h323.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323.cxx $(OH323_SRCDIR)/h323ep.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323neg.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323neg.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323pdu.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323pdu.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323rtp.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323rtp.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323caps.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323caps.cxx
HEADER_FILES	+= $(OH323_INCDIR)/q931.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/q931.cxx
HEADER_FILES	+= $(OH323_INCDIR)/codecs.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/codecs.cxx
HEADER_FILES	+= $(OH323_INCDIR)/channels.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/channels.cxx
HEADER_FILES	+= $(OH323_INCDIR)/transports.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/transports.cxx
HEADER_FILES	+= $(OH323_INCDIR)/rtp.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/rtp.cxx
HEADER_FILES	+= $(OH323_INCDIR)/gkclient.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/gkclient.cxx
HEADER_FILES	+= $(OH323_INCDIR)/gkserver.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/gkserver.cxx
HEADER_FILES	+= $(OH323_INCDIR)/mediafmt.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/mediafmt.cxx
HEADER_FILES	+= $(OH323_INCDIR)/guid.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/guid.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h225ras.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h225ras.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323trans.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323trans.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h235auth.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h235pluginmgr.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h235pluginmgr.cxx
HEADER_FILES	+= $(OH323_INCDIR)/rfc2833.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/rfc2833.cxx


ifdef H323_H224
HEADER_FILES	+= $(OH323_INCDIR)/h224.h
HEADER_FILES	+= $(OH323_INCDIR)/h224handler.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h224.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h281.h
HEADER_FILES	+= $(OH323_INCDIR)/h281handler.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h281.cxx
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323h224.cxx
COMMON_SOURCES	+= $(OH323_SRCDIR)/q922.cxx
endif


ifdef HAS_PLUGINS
HEADER_FILES	+= $(OH323_INCDIR)/h323pluginmgr.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323pluginmgr.cxx
endif

ifdef HAS_WAVFILE
HEADER_FILES	+= $(OH323_INCDIR)/opalwavfile.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/opalwavfile.cxx
HEADER_FILES	+= $(OH323_INCDIR)/rtp2wav.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/rtp2wav.cxx
endif

ifdef HAS_VXML
HEADER_FILES	+= $(OH323_INCDIR)/opalvxml.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/opalvxml.cxx
endif

########### H.230

ifdef H323_H230
HEADER_FILES	+= $(OH323_INCDIR)/gccpdu.h \
                   $(OH323_INCDIR)/h230/h230.h \
                   $(OH323_INCDIR)/h230/OID2.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/gccpdu.cxx \
                   $(OH323_SRCDIR)/h230/h230.cxx \
                   $(OH323_INCDIR)/h230/OID2.cxx
endif

########### H.248

ifdef H323_H248
SOURCES    	+= $(OH323_SRCDIR)/h248.cxx 
HEADER_FILES	+= $(OH323_INCDIR)/svcctrl.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/svcctrl.cxx
endif

########### H.341

ifdef H323_H341
HEADER_FILES    += $(OH323_INCDIR)/h341/h341.h 
COMMON_SOURCES  += $(OH323_SRCDIR)/h341/h341.cxx 
endif

########### H.350

ifdef H323_H350
HEADER_FILES    += $(OH323_INCDIR)/h350/h350.h \
                   $(OH323_INCDIR)/h350/h350_service.h

COMMON_SOURCES  += $(OH323_SRCDIR)/h350/h350.cxx \
                   $(OH323_INCDIR)/h350/h350_service.cxx
endif

########### H.450

ifdef H323_H450
SOURCES    += \
             $(OH323_SRCDIR)/x880.cxx \
             $(OH323_SRCDIR)/h450/h4501.cxx \
             $(OH323_SRCDIR)/h450/h4502.cxx \
             $(OH323_SRCDIR)/h450/h4503.cxx \
             $(OH323_SRCDIR)/h450/h4504.cxx \
             $(OH323_SRCDIR)/h450/h4505.cxx \
             $(OH323_SRCDIR)/h450/h4506.cxx \
             $(OH323_SRCDIR)/h450/h4507.cxx \
             $(OH323_SRCDIR)/h450/h4508.cxx \
             $(OH323_SRCDIR)/h450/h4509.cxx \
             $(OH323_SRCDIR)/h450/h45010.cxx \
             $(OH323_SRCDIR)/h450/h45011.cxx 

HEADER_FILES	+= $(OH323_INCDIR)/h450/h450pdu.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h450/h450pdu.cxx
endif

########### H.460

ifdef H323_H460
HEADER_FILES    += $(OH323_INCDIR)/h460/h460.h \
                   $(OH323_INCDIR)/h460/h4601.h \
                   $(OH323_INCDIR)/h460/h4609.h \
                   $(OH323_INCDIR)/h460/h46018.h \
                   $(OH323_INCDIR)/h460/h46019.h

COMMON_SOURCES  += $(OH323_SRCDIR)/h460/h4601.cxx \
                   $(OH323_SRCDIR)/h460/h4609.cxx \
                   $(OH323_SRCDIR)/h460/h46018.cxx \
                   $(OH323_SRCDIR)/h460/h46019.cxx
endif 

########### H.501

ifdef H323_H501
SOURCES    	+= $(OH323_SRCDIR)/h501.cxx 
HEADER_FILES	+= $(OH323_INCDIR)/peclient.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/peclient.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h323annexg.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323annexg.cxx
HEADER_FILES	+= $(OH323_INCDIR)/h501pdu.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h501pdu.cxx
endif

########### T.120

ifdef H323_T120
HEADER_FILES	+= $(OH323_INCDIR)/h323t120.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323t120.cxx
HEADER_FILES	+= $(OH323_INCDIR)/t120proto.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/t120proto.cxx
endif

########### GNUGK

ifdef H323_GNUGK
HEADER_FILES	+= $(OH323_INCDIR)/gnugknat.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/gnugknat.cxx
endif

########### FILE

ifdef H323_FILE
HEADER_FILES	+= $(OH323_INCDIR)/h323filetransfer.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323filetransfer.cxx
endif

########## H.235

ifndef OH323_SUPPRESS_H235
SOURCES		+= $(OH323_SRCDIR)/h235.cxx 
endif

ifdef HAS_OPENSSL
COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth1.cxx
endif

########### FAX

ifdef H323_T38
SOURCES		+= $(OH323_SRCDIR)/t38.cxx 
HEADER_FILES	+= $(OH323_INCDIR)/h323t38.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/h323t38.cxx
HEADER_FILES	+= $(OH323_INCDIR)/t38proto.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/t38proto.cxx
endif

########### AUDIO

ifndef NOAUDIOCODECS

HEADER_FILES	+= $(OH323_INCDIR)/jitter.h
COMMON_SOURCES	+= $(OH323_SRCDIR)/jitter.cxx

COMMON_SOURCES	+= $(OH323_SRCDIR)/g711.c

endif # NOAUDIOCODECS

########### VIDEO

ifndef NOVIDEO
##### NOW PLUGINS
endif # NOVIDEO

CLEAN_FILES	= $(OH323_LIB) 

ifeq ($(NOTRACE), 0)
STDCCFLAGS += -DPTRACING
endif


VPATH_CXX := $(OH323_SRCDIR) \
             $(OH323_SRCDIR)/h230 \
             $(OH323_SRCDIR)/h341 \
             $(OH323_SRCDIR)/h350 \
             $(OH323_SRCDIR)/h450 \
             $(OH323_SRCDIR)/h460 

VPATH_C := $(OH323_SRCDIR)

SOURCES		+= $(COMMON_SOURCES)


####################################################

include $(PTLIBDIR)/make/common.mak

####################################################

# make sure pwlib is in the list of external libraries
# this ensures pwlib is not statically linked
ifndef PT_LIBDIR
PT_LIBDIR=$(PW_LIBDIR)
endif
LDFLAGS        += -L$(PT_LIBDIR)
SYSLIBS        += -l$(PTLIB_BASE)$(LIB_TYPE)

LIB_BASENAME=$(OH323_BASE)
LIB_FILENAME=$(OH323_FILE)

include $(PTLIBDIR)/make/lib.mak

####################################################


# Make sure the asnparser is built and if new version force recompiles

# Use a different variable here to support cross compiling
ifndef HOSTPTLIBDIR
HOSTPTLIBDIR=$(PTLIBDIR)
endif

ifndef HOST_PLATFORM_TYPE
HOST_PLATFORM_TYPE=$(PLATFORM_TYPE)
endif


# Set library path so asnparser will run

ifdef LD_LIBRARY_PATH
LD_LIBRARY_PATH:=$(LD_LIBRARY_PATH):$(HOSTPTLIBDIR)/lib
else
LD_LIBRARY_PATH:=$(HOSTPTLIBDIR)/lib
endif
export LD_LIBRARY_PATH


# If we're cross compiling, we want the host's asnparser
# otherwise use the one for the current platform
ASNPARSE_DIR = $(HOSTPTLIBDIR)/tools/asnparser
ASNPARSER = $(ASNPARSE_DIR)/obj_$(HOST_PLATFORM_TYPE)_d/asnparser


# If not cross compiling then make sure asnparser is built
ifeq ($(PLATFORM_TYPE),$(HOST_PLATFORM_TYPE))
$(ASNPARSER):
	$(MAKE) -C $(ASNPARSE_DIR) opt
endif


asnparser.version: $(ASNPARSER)
	$(ASNPARSER) --version | awk '{print $$1,$$2,$$3}' > asnparser.version.new
	if test -f asnparser.version && diff asnparser.version.new asnparser.version >/dev/null 2>&1 ; \
		then rm asnparser.version.new ; \
		else mv asnparser.version.new asnparser.version ; \
	fi

asnfiles: $(ASNPARSER)
	$(ASNPARSER) -s3 -m H245 -c --classheader "H245_AudioCapability=#ifndef PASN_NOPRINTON\nvoid PrintOn(ostream & strm) const;\n#endif" h245.asn
	mv $(OH323_SRCDIR)/h245.h $(OH323_INCDIR)/h245.h
	$(ASNPARSER) -m H235 -c h235.asn
	mv $(OH323_SRCDIR)/h235.h $(OH323_INCDIR)/h235.h
	$(ASNPARSER) -s2 -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn
	mv $(OH323_SRCDIR)/h225.h $(OH323_INCDIR)/h225.h
	$(ASNPARSER) -m H248 -c h248.asn
	mv $(OH323_SRCDIR)/h248.h $(OH323_INCDIR)/h248.h
	$(ASNPARSER) -m H4501 -c h4501.asn
	mv $(OH323_SRCDIR)/h4501.h $(OH323_INCDIR)/h4501.h
	$(ASNPARSER) -m H4502 -c h4502.asn
	mv $(OH323_SRCDIR)/h4502.h $(OH323_INCDIR)/h4502.h
	$(ASNPARSER) -m H4503 -c h4503.asn
	mv $(OH323_SRCDIR)/h4503.h $(OH323_INCDIR)/h4503.h
	$(ASNPARSER) -m H4504 -c h4504.asn
	mv $(OH323_SRCDIR)/h4504.h $(OH323_INCDIR)/h4504.h
	$(ASNPARSER) -m H4505 -c h4505.asn
	mv $(OH323_SRCDIR)/h4505.h $(OH323_INCDIR)/h4505.h
	$(ASNPARSER) -m H4506 -c h4506.asn
	mv $(OH323_SRCDIR)/h4506.h $(OH323_INCDIR)/h4506.h
	$(ASNPARSER) -m H4507 -c h4507.asn
	mv $(OH323_SRCDIR)/h4507.h $(OH323_INCDIR)/h4507.h

## h323plus 1.22.0~dfsg

=== src/Makefile ===
--- 
+++ 
@@ -22,6 +22,27 @@
 # Contributor(s): ______________________________________.
 #
 # $Log: Makefile,v $
+# Revision 1.19  2010/09/07 15:19:40  willamowius
+# turn off strict-aliasing optimization, because it breaks the PDynaLink code
+#
+# Revision 1.18  2009/12/08 04:21:29  shorne
+# Added H.460.24 Annex B and Presence
+#
+# Revision 1.17  2009/08/21 07:01:06  shorne
+# Added H.460.9 Support
+#
+# Revision 1.16  2009/07/25 10:35:51  shorne
+# First cut of H.460.23/.24 support
+#
+# Revision 1.15  2009/06/28 10:24:46  willamowius
+# add more headers
+#
+# Revision 1.14  2009/06/28 10:06:04  willamowius
+# add h46018_h225.cxx
+#
+# Revision 1.13  2009/06/28 09:45:46  willamowius
+# add h460_std18.cxx
+#
 # Revision 1.12  2008/11/28 13:06:49  willamowius
 # add new files
 #
@@ -84,6 +105,8 @@
 
 include $(OPENH323DIR)/openh323u.mak
 
+# turn off strict-aliasing optimization, because it breaks the PDynaLink code
+STDCCFLAGS += -fno-strict-aliasing
 
 OH323_OBJDIR = $(OH323_LIBDIR)/$(PT_OBJBASE)
 ifdef NOTRACE
@@ -237,13 +260,29 @@
 HEADER_FILES    += $(OH323_INCDIR)/h460/h460.h \
                    $(OH323_INCDIR)/h460/h4601.h \
                    $(OH323_INCDIR)/h460/h4609.h \
+                   $(OH323_INCDIR)/h460/h460_std9.h \
                    $(OH323_INCDIR)/h460/h46018.h \
-                   $(OH323_INCDIR)/h460/h46019.h
+                   $(OH323_INCDIR)/h460/h460_std18.h \
+                   $(OH323_INCDIR)/h460/h46018_h225.h \
+                   $(OH323_INCDIR)/h460/h46019.h \
+                   $(OH323_INCDIR)/h460/h460_std23.h \
+                   $(OH323_INCDIR)/h460/h46024b.h \
+                   $(OH323_INCDIR)/h460/h460_oid3.h \
+                   $(OH323_INCDIR)/h460/h460p.h \
+                   $(OH323_INCDIR)/h460/h460pres.h
 
 COMMON_SOURCES  += $(OH323_SRCDIR)/h460/h4601.cxx \
                    $(OH323_SRCDIR)/h460/h4609.cxx \
+                   $(OH323_INCDIR)/h460/h460_std9.cxx \
                    $(OH323_SRCDIR)/h460/h46018.cxx \
-                   $(OH323_SRCDIR)/h460/h46019.cxx
+                   $(OH323_SRCDIR)/h460/h460_std18.cxx \
+                   $(OH323_SRCDIR)/h460/h46018_h225.cxx \
+                   $(OH323_SRCDIR)/h460/h46019.cxx \
+                   $(OH323_SRCDIR)/h460/h460_std23.cxx \
+                   $(OH323_INCDIR)/h460/h46024b.cxx \
+                   $(OH323_INCDIR)/h460/h460_oid3.cxx \
+                   $(OH323_INCDIR)/h460/h460p.cxx \
+                   $(OH323_INCDIR)/h460/h460pres.cxx
 endif 
 
 ########### H.501
@@ -387,40 +426,3 @@
 ASNPARSER = $(ASNPARSE_DIR)/obj_$(HOST_PLATFORM_TYPE)_d/asnparser
 
 
-# If not cross compiling then make sure asnparser is built
-ifeq ($(PLATFORM_TYPE),$(HOST_PLATFORM_TYPE))
-$(ASNPARSER):
-	$(MAKE) -C $(ASNPARSE_DIR) opt
-endif
-
-
-asnparser.version: $(ASNPARSER)
-	$(ASNPARSER) --version | awk '{print $$1,$$2,$$3}' > asnparser.version.new
-	if test -f asnparser.version && diff asnparser.version.new asnparser.version >/dev/null 2>&1 ; \
-		then rm asnparser.version.new ; \
-		else mv asnparser.version.new asnparser.version ; \
-	fi
-
-asnfiles: $(ASNPARSER)
-	$(ASNPARSER) -s3 -m H245 -c --classheader "H245_AudioCapability=#ifndef PASN_NOPRINTON\nvoid PrintOn(ostream & strm) const;\n#endif" h245.asn
-	mv $(OH323_SRCDIR)/h245.h $(OH323_INCDIR)/h245.h
-	$(ASNPARSER) -m H235 -c h235.asn
-	mv $(OH323_SRCDIR)/h235.h $(OH323_INCDIR)/h235.h
-	$(ASNPARSER) -s2 -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn
-	mv $(OH323_SRCDIR)/h225.h $(OH323_INCDIR)/h225.h
-	$(ASNPARSER) -m H248 -c h248.asn
-	mv $(OH323_SRCDIR)/h248.h $(OH323_INCDIR)/h248.h
-	$(ASNPARSER) -m H4501 -c h4501.asn
-	mv $(OH323_SRCDIR)/h4501.h $(OH323_INCDIR)/h4501.h
-	$(ASNPARSER) -m H4502 -c h4502.asn
-	mv $(OH323_SRCDIR)/h4502.h $(OH323_INCDIR)/h4502.h
-	$(ASNPARSER) -m H4503 -c h4503.asn
-	mv $(OH323_SRCDIR)/h4503.h $(OH323_INCDIR)/h4503.h
-	$(ASNPARSER) -m H4504 -c h4504.asn
-	mv $(OH323_SRCDIR)/h4504.h $(OH323_INCDIR)/h4504.h
-	$(ASNPARSER) -m H4505 -c h4505.asn
-	mv $(OH323_SRCDIR)/h4505.h $(OH323_INCDIR)/h4505.h
-	$(ASNPARSER) -m H4506 -c h4506.asn
-	mv $(OH323_SRCDIR)/h4506.h $(OH323_INCDIR)/h4506.h
-	$(ASNPARSER) -m H4507 -c h4507.asn
-	mv $(OH323_SRCDIR)/h4507.h $(OH323_INCDIR)/h4507.h

=== debian/changelog ===
h323plus (1.22.0~dfsg-1) experimental; urgency=low

  * New upstream release
  * Fix debian/watch
  * Switch to dpkg-source 3.0 (quilt) format - ditch dpatch 
  * Switch to debhelper's dh building - ditch cdbs
  * Convert dpatch patches to quilt patches
  * Remove obsolete README.source now that we don't use dpatch anymore
  * Update VCS fields in debian/control
  * Bump build-depends for libpt-dev to 2.6.7
  * Add legacy PTLIBDIR to build process until upstream uses pkg-config
  * Add symbols file for libh323-1.22.0 (but don't fail builds while we're in
    experimental)
  * Add pkg-kde-tools to take advantage of pkgkde-symbolshelper which is
    better suited for C++ libs - thanks to Modestas Vainius!
    (this makes c++ symbol files somewhat less painful. But still different
    g++ versions emit a bit different symbol sets so ftbfs'es happen)
  * Remove duplicate Section for binary package libh323-1.22.0
  * Register API documentation with doc-base
  * Bump Standards-Version to 3.9.2

 -- Kilian Krause <kilian@debian.org>  Tue, 12 Jul 2011 11:13:58 +0200

h323plus (1.21.0~dfsg-1) unstable; urgency=low

  * New Upstream Release 
    - NEW packages libh323plus-dev libh323-1.21.0 libh323-dbg
    - NEW source package h323plus - New Upstream API
    - h323plus is openh323 continued
  * Switch to cdbs
  * debian/compat -> 7
  * Cleanup debian/patches
  * Drop -doc package - docs not included upstream
  * Add ReleasedCode to version.h
  * Upstream dropped simph323
  * Update Build-Depends
  * Cleanup debian/watch
  * Update debian/copyright; MPL v1.0 & MPL v1.1
  * Drop configure.exe to meet DFSG

 -- Mark Purcell <msp@debian.org>  Tue, 01 Jun 2010 21:48:27 +1000

openh323 (1.18.0.dfsg-10) unstable; urgency=low

  [ Patrick Matthäi ]
  * Bumped Standards-Version to 3.8.0.
  * Remove duplicated word in description from libopenh323-dev (the the).
    Thanks lintian.
  * Add description for 03_Makefile.in.dpatch and printon_with_notrace.dpatch.

  [ Mark Purcell ]
  * Update Build-Depends: libpt-1.10.10-dev

 -- Mark Purcell <msp@debian.org>  Sat, 25 Apr 2009 21:20:05 +1000

openh323 (1.18.0.dfsg-9) unstable; urgency=low

  * Fix bug where shlibs were very strict on binNMUed versions.
  * Fix syntax error in the simph323.1 manpage.
  * Include forgotten patch backport-vpb-fix to the list of patches to apply
    (00list); this actually fixes the linking against libvpb issue.

 -- Faidon Liambotis <paravoid@debian.org>  Thu, 03 Apr 2008 06:09:48 +0300

openh323-titan (1.19.1~dfsg-4) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net instead of voxgratia.org (Closes: #453594)
  * Remove symlinks to unused compatibility versions.

  [ Faidon Liambotis ]
  * Bump Standards-Version to 3.7.3, no changes needed.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.
  * Do not depend on ...-1 versions of binutils and libspeex-dev to ease
    backports. Fixes lintian warning build-depends-on-1-revision.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove debian/backports/{etch,lenny,sid,edgy,feisty,gutsy} since their
    changes weren't needed anymore.
  * Fix bug where shlibs were very strict on binNMUed versions.
  * Fix syntax error in the simph323.1 manpage.

 -- Faidon Liambotis <paravoid@debian.org>  Wed, 02 Apr 2008 07:18:52 +0300

openh323 (1.18.0.dfsg-8) unstable; urgency=low

  [ Kilian Krause ]
  * Fix debian/watch to use sf.net (Closes: #453578)
  * Remove symlinks to unused compatibility versions.

  [ Faidon Liambotis ]
  * Backport openh323u.mak changes fix from titan that disable unnecessary
    linking against libvpb.
  * Bump Standards-Version to 3.7.3, no changed needed.
  * Remove Jose Carlos Garcia Sogo and Santiago Garcia Mantinan from
    Uploaders.
  * Do not depend on ...-1 versions of binutils and libspeex-dev to ease
    backports. Fixes lintian warning build-depends-on-1-revision.
  * Remove doxygen from Build-Depends-Indep since it's present in
    Build-Depends.
  * Remove debian/backports/{sarge,dapper} since they are obsolete
    distributions.
  * Remove debian/backports/{etch,lenny,sid,edgy,feisty,gutsy} since their
    changes weren't needed anymore.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 01 Apr 2008 07:15:42 +0300

openh323-titan (1.19.1~dfsg-3) unstable; urgency=low

  * Add missing Conflicts on simph323 and libopenh323-dbg
    (Closes: #447858, #447859)

 -- Kilian Krause <kilian@debian.org>  Mon, 29 Oct 2007 10:05:32 +0100

openh323-titan (1.19.1~dfsg-2) unstable; urgency=low

  * Add missing Build-Depends on doxygen (Closes: 447043)
  * Add lintian overrides to shut up warnings.

 -- Kilian Krause <kilian@debian.org>  Wed, 17 Oct 2007 20:34:29 +0200

openh323-titan (1.19.1~dfsg-1) unstable; urgency=low

  * New upstream release (Codename: Titan, development branch)

  [ Faidon Liambotis ]
  * Update to Standards-Version 3.7.2, no changes needed.
  * Use debian/compat instead of DH_COMPAT.
  * Remove doxygen from Build-Deps, since it is part of Build-Deps-Indep.
  * Adapt shlibs to depend on the upstream's version number and not the Debian
    version number, since we don't extend the ABI. This also imitates
    debhelper's behavior.
  * Build-Conflict on libopenh323-1.18.0 since it will FTBFS if present.
  * Drop Build-Conflicts on pre-sarge linux-kernel-headers.

  [ Kilian Krause ]
  * Update debian/watch.
  * Update backport hooks.
  * Adjust debhelper build-dep to compat level in debian/compat.
  * Build-Depend on PWLib Titan release.
  * Fix implicit rules-ignore-make-clean error.
  * Adjust dh_strip call to new package namepace
  * Add Homepage field as added in dpkg-dev 1.14.6.

 -- Kilian Krause <kilian@debian.org>  Sat, 22 Sep 2007 12:08:48 +0200

openh323 (1.18.0.dfsg-7) unstable; urgency=high



=== debian/control ===
Source: h323plus
Section: libs
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 8), libsasl2-dev, autotools-dev, binutils (>= 2.17), dpkg-dev (>= 1.13.19), 
 libpt-dev (>= 2.6.7), libldap2-dev, libssl-dev, libexpat1-dev, libsdl1.2-dev, unixodbc-dev, pkg-kde-tools
Build-Conflicts: libopenh323-dev, libopenh323-1.18.0
Standards-Version: 3.9.2
Homepage: http://www.h323plus.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-voip/openh323/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/openh323/trunk/

Package: libh323-1.22.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: H.323 aka VoIP library
 This package contains the shared version of the H.323 Plus library.
 .
 The OpenH323 project aims to create a full featured, interoperable,
 Open Source implementation of the ITU H.323 teleconferencing protocol
 that can be used freely by everybody. This protocol is most used for
 Voice over IP (VoIP) conferencing.

Package: libh323plus-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version}), libssl-dev, libpt-dev
Conflicts: libopenh323-dev
Replaces: libopenh323-dev
Description: H.323 aka VoIP library development files
 This package contains the headers and a static version of the
 H.323 Plus library.
 .
 The OpenH323 project aims to create a full featured, interoperable,
 Open Source implementation of the ITU H.323 teleconferencing protocol
 that can be used freely by everybody. This protocol is most used for
 Voice over IP (VoIP) conferencing.

Package: libh323-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version})
Description: H.323 aka VoIP library development debug files
 This package contains the shared and static debug version of the
 OpenH323 library.
 .
 The OpenH323 project aims to create a full featured, interoperable,
 Open Source implementation of the ITU H.323 teleconferencing protocol
 that can be used freely by everybody. This protocol is most used for
 Voice over IP (VoIP) conferencing.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERSION := $(shell head -n 1 debian/changelog \
                    | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION := $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg$$//')

FILENAME := h323plus_$(UPVERSION)~dfsg.orig.tar.gz
UPFILENAME := h323plus_$(UPVERSION).orig.tar.gz
URL := http://www.h323plus.org/source/download/h323plus-$(UPVERSION).tar.gz

export PTLIBDIR = $(CURDIR)/debian/ptlibdir

# to collect all symbols on all archs in experimental
# and set this to 1 or higher once we move to unstable
export DPKG_GENSYMBOLS_CHECK_LEVEL=0

%:
	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper

override_dh_auto_configure:
	rm -rf debian/ptlibdir;mkdir debian/ptlibdir;for file in /usr/include/ptlib/* /usr/share/ptlib/*;do ln -sf $$file debian/ptlibdir;done
	dh_auto_configure -- --enable-plugins

override_dh_clean:
	dh_clean 
	rm -fR lib/
	rm -rf debian/ptlibdir

override_dh_strip:
	dh_strip -a --dbg-package=libh323-dbg

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@#this is for stable versions
	@@echo Downloading $(UPFILENAME) from $(URL) ...
	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
	@@echo 'Repacking as DFSG-free (removing configure.exe)...'
	@@mkdir -p ../tarballs/h323plus-$(UPVERSION).tmp/
	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus*/configure.exe
	@@echo Writing archive ../tarballs/$(FILENAME) ...
	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
	@@echo Cleaning up...
	@@$(RM) -rf ../tarballs/h323plus-$(UPVERSION).tmp/ ../tarballs/$(UPFILENAME)

## h323plus 1.24.0~dfsg

=== debian/changelog ===
h323plus (1.24.0~dfsg-1) unstable; urgency=low

  [ Kilian Krause ]
  * New upstream release:
   + debian/rules: fix get-orig-source target 
   + Patch 02_configure.ac.patch removed: applied upstream.
  * Install h323plus_changes.txt as upstream changelog
  * Add configure.ac patch from upstream to find installed ptlib, too.
    (Requires dh-autoreconf for now)
  * Remove unneccessary ptlibdir hack from debian/rules
  * Include symbols-check as default now

  [ Tzafrir Cohen ]
  * Patch fix_autoconf: fix broken syntax, allow autoreconf
  * Patch ptlib-pkgconfig: Fixes building with ptlib, I believe

  [ Mark Purcell ]
  * NEW package libh323-1.24.0 - match-soname
    - Fixes "fails to upgrade from 'sid'" (Closes: #658722)
  * Drop symbol support - few rdepends, regular soname changes and
    exporting lots of symbols (C++)
  * Refresh ptlib-pkgconfig
  * Disable FTBFS modules: 
    --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
    - Fixes "FTBFS: h460_std23.h:75:2: error: 'PObject' is an ambiguous base
    of 'PNatMethod_H46024'" (Closes: #663576)

 -- Mark Purcell <msp@debian.org>  Sat, 17 Mar 2012 13:51:56 +1100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,16 @@
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Kilian Krause <kilian@debian.org>, Mark Purcell <msp@debian.org>, Faidon Liambotis <paravoid@debian.org>
-Build-Depends: debhelper (>= 8), libsasl2-dev, autotools-dev, binutils (>= 2.17), dpkg-dev (>= 1.13.19), 
- libpt-dev (>= 2.6.7), libldap2-dev, libssl-dev, libexpat1-dev, libsdl1.2-dev, unixodbc-dev, pkg-kde-tools
+Build-Depends: debhelper (>= 8), libsasl2-dev, autotools-dev, binutils (>= 2.17), 
+ dpkg-dev (>= 1.13.19), libpt-dev (>= 2.10.1), libldap2-dev, libssl-dev, libexpat1-dev, 
+ libsdl1.2-dev, unixodbc-dev, pkg-kde-tools, dh-autoreconf
 Build-Conflicts: libopenh323-dev, libopenh323-1.18.0
 Standards-Version: 3.9.2
 Homepage: http://www.h323plus.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-voip/openh323/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/openh323/trunk/
 
-Package: libh323-1.22.0
+Package: libh323-1.24.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: H.323 aka VoIP library
@@ -25,7 +26,7 @@
 Package: libh323plus-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version}), libssl-dev, libpt-dev
+Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version}), libssl-dev, libpt-dev
 Conflicts: libopenh323-dev
 Replaces: libopenh323-dev
 Description: H.323 aka VoIP library development files
@@ -41,7 +42,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.22.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version})
 Description: H.323 aka VoIP library development debug files
  This package contains the shared and static debug version of the
  OpenH323 library.

=== debian/rules ===
--- 
+++ 
@@ -5,28 +5,24 @@
 DEBVERSION := $(shell head -n 1 debian/changelog \
                     | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
 UPVERSION := $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg$$//')
+URLVERSION := $(shell echo $(UPVERSION) | sed -r -e 's/\./_/g')
 
 FILENAME := h323plus_$(UPVERSION)~dfsg.orig.tar.gz
 UPFILENAME := h323plus_$(UPVERSION).orig.tar.gz
-URL := http://www.h323plus.org/source/download/h323plus-$(UPVERSION).tar.gz
-
-export PTLIBDIR = $(CURDIR)/debian/ptlibdir
-
-# to collect all symbols on all archs in experimental
-# and set this to 1 or higher once we move to unstable
-export DPKG_GENSYMBOLS_CHECK_LEVEL=0
+URL := http://www.h323plus.org/source/download/h323plus-v$(URLVERSION).tar.gz
 
 %:
-	dh $@ --parallel --with autotools_dev --with=pkgkde-symbolshelper
+	dh $@ --parallel --with autoreconf
 
 override_dh_auto_configure:
-	rm -rf debian/ptlibdir;mkdir debian/ptlibdir;for file in /usr/include/ptlib/* /usr/share/ptlib/*;do ln -sf $$file debian/ptlibdir;done
-	dh_auto_configure -- --enable-plugins
+	dh_auto_configure -- --enable-plugins --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
+
+override_dh_installchangelogs:
+	dh_installchangelogs h323plus_changes.txt
 
 override_dh_clean:
 	dh_clean 
 	rm -fR lib/
-	rm -rf debian/ptlibdir
 
 override_dh_strip:
 	dh_strip -a --dbg-package=libh323-dbg

## h323plus 1.24.0~dfsg2

=== src/Makefile ===
--- 
+++ 
@@ -21,79 +21,7 @@
 #
 # Contributor(s): ______________________________________.
 #
-# $Log: Makefile,v $
-# Revision 1.19  2010/09/07 15:19:40  willamowius
-# turn off strict-aliasing optimization, because it breaks the PDynaLink code
-#
-# Revision 1.18  2009/12/08 04:21:29  shorne
-# Added H.460.24 Annex B and Presence
-#
-# Revision 1.17  2009/08/21 07:01:06  shorne
-# Added H.460.9 Support
-#
-# Revision 1.16  2009/07/25 10:35:51  shorne
-# First cut of H.460.23/.24 support
-#
-# Revision 1.15  2009/06/28 10:24:46  willamowius
-# add more headers
-#
-# Revision 1.14  2009/06/28 10:06:04  willamowius
-# add h46018_h225.cxx
-#
-# Revision 1.13  2009/06/28 09:45:46  willamowius
-# add h460_std18.cxx
-#
-# Revision 1.12  2008/11/28 13:06:49  willamowius
-# add new files
-#
-# Revision 1.11  2008/07/19 01:12:29  willamowius
-# enable building og H.341 on Linux
-#
-# Revision 1.10  2008/02/13 15:45:29  willamowius
-# fix for PTLib 2.0.x: PW_LIBDIR is no longer provided
-#
-# Revision 1.9  2008/01/02 18:48:37  willamowius
-# add file transfer files
-#
-# Revision 1.8  2008/01/01 00:16:12  shorne
-# Added GnuGknat and FileTransfer support
-#
-# Revision 1.7  2007/11/11 03:02:46  shorne
-# Added GCCPDU references for H230 implementation
-#
-# Revision 1.6  2007/11/07 14:47:47  shorne
-# h230 fix again!
-#
-# Revision 1.5  2007/11/07 10:03:54  shorne
-# fix h230 compile error
-#
-# Revision 1.4  2007/11/01 19:44:24  shorne
-# *** empty log message ***
-#
-# Revision 1.3  2007/10/31 09:52:35  shorne
-# added missing reference to H460.9
-#
-# Revision 1.2  2007/10/31 08:37:01  shorne
-# removed unused reference
-#
-# Revision 1.1  2007/08/06 20:51:02  shorne
-# First commit of h323plus
-#
-# Revision 1.136.2.5  2007/08/02 20:11:57  shorne
-# Added H.341 Support
-#
-# Revision 1.136.2.4  2007/08/01 18:46:35  shorne
-# fixed typo
-#
-# Revision 1.136.2.3  2007/07/20 22:03:26  shorne
-# Initial H.350 Support
-#
-# Revision 1.136.2.2  2007/01/30 09:03:31  shorne
-# Fixed H450 error and removed missed VIC files
-#
-# Revision 1.136.2.1  2006/12/23 19:08:02  shorne
-# Plugin video codecs & sundry
-#
+# $Id: Makefile,v 1.27 2011/12/12 13:41:35 shorne Exp $
 #
 #
 
@@ -201,11 +129,34 @@
 
 ifdef H323_H230
 HEADER_FILES	+= $(OH323_INCDIR)/gccpdu.h \
-                   $(OH323_INCDIR)/h230/h230.h \
-                   $(OH323_INCDIR)/h230/OID2.h
-COMMON_SOURCES	+= $(OH323_SRCDIR)/gccpdu.cxx \
-                   $(OH323_SRCDIR)/h230/h230.cxx \
+                   $(OH323_INCDIR)/h230/h230.h 
+
+SOURCES		    += $(OH323_SRCDIR)/gccpdu.cxx \
                    $(OH323_INCDIR)/h230/OID2.cxx
+
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h230/h230.cxx
+endif
+
+########### H.235
+
+ifndef OH323_SUPPRESS_H235
+SOURCES		+= $(OH323_SRCDIR)/h235.cxx 
+endif
+
+ifdef HAS_OPENSSL
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth1.cxx
+endif
+
+ifdef H323_H235
+HEADER_FILES	+= $(OH323_INCDIR)/h235/h2351.h \
+                   $(OH323_INCDIR)/h235/h2356.h \
+                   $(OH323_INCDIR)/h235/h235caps.h \
+                   $(OH323_INCDIR)/h235/h235chan.h \
+                   $(OH323_INCDIR)/h235/h235con.h
+COMMON_SOURCES	+= $(OH323_SRCDIR)/h235/h2356.cxx \
+                   $(OH323_SRCDIR)/h235/h235caps.cxx \
+                   $(OH323_SRCDIR)/h235/h235chan.cxx \
+                   $(OH323_SRCDIR)/h235/h235con.cxx
 endif
 
 ########### H.248
@@ -229,8 +180,8 @@
 HEADER_FILES    += $(OH323_INCDIR)/h350/h350.h \
                    $(OH323_INCDIR)/h350/h350_service.h
 
-COMMON_SOURCES  += $(OH323_SRCDIR)/h350/h350.cxx \
-                   $(OH323_INCDIR)/h350/h350_service.cxx
+SOURCES		    += $(OH323_INCDIR)/h350/h350_service.cxx
+COMMON_SOURCES  += $(OH323_SRCDIR)/h350/h350.cxx
 endif
 
 ########### H.450
@@ -261,6 +212,9 @@
                    $(OH323_INCDIR)/h460/h4601.h \
                    $(OH323_INCDIR)/h460/h4609.h \
                    $(OH323_INCDIR)/h460/h460_std9.h \
+                   $(OH323_INCDIR)/h460/h46015.h \
+                   $(OH323_INCDIR)/h460/h46017a.h \
+                   $(OH323_INCDIR)/h460/h460_std17.h \
                    $(OH323_INCDIR)/h460/h46018.h \
                    $(OH323_INCDIR)/h460/h460_std18.h \
                    $(OH323_INCDIR)/h460/h46018_h225.h \
@@ -271,18 +225,24 @@
                    $(OH323_INCDIR)/h460/h460p.h \
                    $(OH323_INCDIR)/h460/h460pres.h
 
-COMMON_SOURCES  += $(OH323_SRCDIR)/h460/h4601.cxx \
+SOURCES         += \
                    $(OH323_SRCDIR)/h460/h4609.cxx \
+                   $(OH323_INCDIR)/h460/h46015.cxx \
+                   $(OH323_SRCDIR)/h460/h46017a.cxx \
+                   $(OH323_SRCDIR)/h460/h46019.cxx \
+                   $(OH323_INCDIR)/h460/h46024b.cxx \
+                   $(OH323_INCDIR)/h460/h460pres.cxx
+
+COMMON_SOURCES  += \
+                   $(OH323_SRCDIR)/h460/h4601.cxx \
                    $(OH323_INCDIR)/h460/h460_std9.cxx \
+                   $(OH323_SRCDIR)/h460/h460_std17.cxx \
                    $(OH323_SRCDIR)/h460/h46018.cxx \
                    $(OH323_SRCDIR)/h460/h460_std18.cxx \
                    $(OH323_SRCDIR)/h460/h46018_h225.cxx \
-                   $(OH323_SRCDIR)/h460/h46019.cxx \
                    $(OH323_SRCDIR)/h460/h460_std23.cxx \
-                   $(OH323_INCDIR)/h460/h46024b.cxx \
                    $(OH323_INCDIR)/h460/h460_oid3.cxx \
-                   $(OH323_INCDIR)/h460/h460p.cxx \
-                   $(OH323_INCDIR)/h460/h460pres.cxx
+                   $(OH323_INCDIR)/h460/h460p.cxx
 endif 
 
 ########### H.501
@@ -300,10 +260,14 @@
 ########### T.120
 
 ifdef H323_T120
+HEADER_FILES	+= $(OH323_INCDIR)/mcspdu.h
+SOURCES         += $(OH323_SRCDIR)/mcspdu.cxx
 HEADER_FILES	+= $(OH323_INCDIR)/h323t120.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/h323t120.cxx
 HEADER_FILES	+= $(OH323_INCDIR)/t120proto.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/t120proto.cxx
+HEADER_FILES	+= $(OH323_INCDIR)/x224.h
+COMMON_SOURCES	+= $(OH323_SRCDIR)/x224.cxx
 endif
 
 ########### GNUGK
@@ -318,16 +282,6 @@
 ifdef H323_FILE
 HEADER_FILES	+= $(OH323_INCDIR)/h323filetransfer.h
 COMMON_SOURCES	+= $(OH323_SRCDIR)/h323filetransfer.cxx
-endif
-
-########## H.235
-
-ifndef OH323_SUPPRESS_H235
-SOURCES		+= $(OH323_SRCDIR)/h235.cxx 
-endif
-
-ifdef HAS_OPENSSL
-COMMON_SOURCES	+= $(OH323_SRCDIR)/h235auth1.cxx
 endif
 
 ########### FAX
@@ -366,6 +320,7 @@
 
 VPATH_CXX := $(OH323_SRCDIR) \
              $(OH323_SRCDIR)/h230 \
+             $(OH323_SRCDIR)/h235 \
              $(OH323_SRCDIR)/h341 \
              $(OH323_SRCDIR)/h350 \
              $(OH323_SRCDIR)/h450 \
@@ -426,3 +381,25 @@
 ASNPARSER = $(ASNPARSE_DIR)/obj_$(HOST_PLATFORM_TYPE)_d/asnparser
 
 
+# If not cross compiling then make sure asnparser is built
+ifeq ($(PLATFORM_TYPE),$(HOST_PLATFORM_TYPE))
+$(ASNPARSER):
+	$(MAKE) -C $(ASNPARSE_DIR) opt
+endif
+
+
+asnparser.version: $(ASNPARSER)
+	$(ASNPARSER) --version | awk '{print $$1,$$2,$$3}' > asnparser.version.new
+	if test -f asnparser.version && diff asnparser.version.new asnparser.version >/dev/null 2>&1 ; \
+		then rm asnparser.version.new ; \
+		else mv asnparser.version.new asnparser.version ; \
+	fi
+
+asnfiles: $(ASNPARSER)
+	$(ASNPARSER) -s3 -m H245 -c --classheader "H245_AudioCapability=#ifndef PASN_NOPRINTON\nvoid PrintOn(ostream & strm) const;\n#endif" h245.asn
+	mv $(OH323_SRCDIR)/h245.h $(OH323_INCDIR)/h245.h
+	$(ASNPARSER) -m H235 -c h235.asn
+	mv $(OH323_SRCDIR)/h235.h $(OH323_INCDIR)/h235.h
+	$(ASNPARSER) -s2 -m H225 -r MULTIMEDIA-SYSTEM-CONTROL=H245 -c h225.asn
+	mv $(OH323_SRCDIR)/h225.h $(OH323_INCDIR)/h225.h
+	$(ASNPARSER) -m H248 -c h248.asn

=== samples/simple/Makefile ===
#
# Makefile
#
# Make file for simple sample application for the H323Plus library.
#

PROG		= simph323
SOURCES		:= main.cxx

ifndef OPENH323DIR
OPENH323DIR=$(CURDIR)/../..
endif

include $(OPENH323DIR)/openh323u.mak

=== plugins/audio/SILK/Makefile ===
SHLIB = silk_ptplugin.so 
VPATH = silkSrc:

SRCS = \
    silkCodec.c \
    SKP_Silk_A2NLSF.c \
    SKP_Silk_allpass_int.c \
    SKP_Silk_ana_filt_bank_1.c \
    SKP_Silk_apply_sine_window.c \
    SKP_Silk_array_maxabs.c \
    SKP_Silk_autocorr.c \
    SKP_Silk_biquad.c \
    SKP_Silk_biquad_alt.c \
    SKP_Silk_burg_modified.c \
    SKP_Silk_bwexpander.c \
    SKP_Silk_bwexpander_32.c \
    SKP_Silk_CNG.c \
    SKP_Silk_code_signs.c \
    SKP_Silk_control_codec_FIX.c \
    SKP_Silk_corrMatrix_FIX.c \
    SKP_Silk_create_init_destroy.c \
    SKP_Silk_dec_API.c \
    SKP_Silk_decode_core.c \
    SKP_Silk_decode_frame.c \
    SKP_Silk_decode_indices_v4.c \
    SKP_Silk_decode_parameters.c \
    SKP_Silk_decode_parameters_v4.c \
    SKP_Silk_decode_pulses.c \
    SKP_Silk_decoder_set_fs.c \
    SKP_Silk_detect_SWB_input.c \
    SKP_Silk_enc_API.c \
    SKP_Silk_encode_frame_FIX.c \
    SKP_Silk_encode_parameters.c \
    SKP_Silk_encode_parameters_v4.c \
    SKP_Silk_encode_pulses.c \
    SKP_Silk_find_LPC_FIX.c \
    SKP_Silk_find_LTP_FIX.c \
    SKP_Silk_find_pitch_lags_FIX.c \
    SKP_Silk_find_pred_coefs_FIX.c \
    SKP_Silk_gain_quant.c \
    SKP_Silk_HP_variable_cutoff_FIX.c \
    SKP_Silk_init_encoder_FIX.c \
    SKP_Silk_inner_prod_aligned.c \
    SKP_Silk_interpolate.c \
    SKP_Silk_k2a.c \
    SKP_Silk_k2a_Q16.c \
    SKP_Silk_LBRR_reset.c \
    SKP_Silk_lin2log.c \
    SKP_Silk_log2lin.c \
    SKP_Silk_lowpass_int.c \
    SKP_Silk_lowpass_short.c \
    SKP_Silk_LPC_inv_pred_gain.c \
    SKP_Silk_LPC_stabilize.c \
    SKP_Silk_LPC_synthesis_filter.c \
    SKP_Silk_LPC_synthesis_order16.c \
    SKP_Silk_LP_variable_cutoff.c \
    SKP_Silk_LSF_cos_table.c \
    SKP_Silk_LTP_analysis_filter_FIX.c \
    SKP_Silk_LTP_scale_ctrl_FIX.c \
    SKP_Silk_MA.c \
    SKP_Silk_NLSF2A.c \
    SKP_Silk_NLSF2A_stable.c \
    SKP_Silk_NLSF_MSVQ_decode.c \
    SKP_Silk_NLSF_MSVQ_encode_FIX.c \
    SKP_Silk_NLSF_stabilize.c \
    SKP_Silk_NLSF_VQ_rate_distortion_FIX.c \
    SKP_Silk_NLSF_VQ_sum_error_FIX.c \
    SKP_Silk_NLSF_VQ_weights_laroia.c \
    SKP_Silk_noise_shape_analysis_FIX.c \
    SKP_Silk_NSQ.c \
    SKP_Silk_NSQ_del_dec.c \
    SKP_Silk_pitch_analysis_core.c \
    SKP_Silk_pitch_est_tables.c \
    SKP_Silk_PLC.c \
    SKP_Silk_prefilter_FIX.c \
    SKP_Silk_process_gains_FIX.c \
    SKP_Silk_process_NLSFs_FIX.c \
    SKP_Silk_pulses_to_bytes.c \
    SKP_Silk_quant_LTP_gains_FIX.c \
    SKP_Silk_range_coder.c \
    SKP_Silk_regularize_correlations_FIX.c \
    SKP_Silk_resample_1_2.c \
    SKP_Silk_resample_1_2_coarse.c \
    SKP_Silk_resample_1_2_coarsest.c \
    SKP_Silk_resample_1_3.c \
    SKP_Silk_resample_2_1_coarse.c \
    SKP_Silk_resample_2_3.c \
    SKP_Silk_resample_2_3_coarse.c \
    SKP_Silk_resample_2_3_coarsest.c \
    SKP_Silk_resample_2_3_rom.c \
    SKP_Silk_resample_3_1.c \
    SKP_Silk_resample_3_2.c \
    SKP_Silk_resample_3_2_rom.c \
    SKP_Silk_resample_3_4.c \
    SKP_Silk_resample_4_3.c \
    SKP_Silk_residual_energy16_FIX.c \
    SKP_Silk_residual_energy_FIX.c \
    SKP_Silk_scale_copy_vector16.c \
    SKP_Silk_scale_vector.c \
    SKP_Silk_schur.c \
    SKP_Silk_schur64.c \
    SKP_Silk_shell_coder.c \
    SKP_Silk_sigm_Q15.c \
    SKP_Silk_solve_LS_FIX.c \
    SKP_Silk_sort.c \
    SKP_Silk_sum_sqr_shift.c \
    SKP_Silk_tables_gain.c \
    SKP_Silk_tables_LTP.c \
    SKP_Silk_tables_NLSF_CB0_10.c \
    SKP_Silk_tables_NLSF_CB0_16.c \
    SKP_Silk_tables_NLSF_CB1_10.c \
    SKP_Silk_tables_NLSF_CB1_16.c \
    SKP_Silk_tables_other.c \
    SKP_Silk_tables_pitch_lag.c \
    SKP_Silk_tables_pulses_per_block.c \
    SKP_Silk_tables_sign.c \
    SKP_Silk_tables_type_offset.c \
    SKP_Silk_VAD.c \
    SKP_Silk_VQ_nearest_neighbor_FIX.c

CWARNERR=

include ../../../mk/rules.mk

=== debian/changelog ===
h323plus (1.24.0~dfsg2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Ensure autotools-dev is used as well as dh-autoreconf
    to allow building on new architectures (Closes: #765225) 

 -- Wookey <wookey@debian.org>  Tue, 08 Sep 2015 20:38:49 +0000

h323plus (1.24.0~dfsg2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++ transition

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 05 Sep 2015 11:32:44 +0100

h323plus (1.24.0~dfsg2-1) unstable; urgency=low

  * Fix "Source package contains non-free IETF RFC/I-D" Strip iLBC
    (Closes: #664606)

 -- Mark Purcell <msp@debian.org>  Mon, 11 Jun 2012 10:05:51 +1000

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,11 @@
 Vcs-Svn: svn://svn.debian.org/svn/pkg-voip/openh323/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/openh323/trunk/
 
-Package: libh323-1.24.0
+Package: libh323-1.24.0v5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: libh323-1.24.0
+Replaces: libh323-1.24.0
 Description: H.323 aka VoIP library
  This package contains the shared version of the H.323 Plus library.
  .
@@ -26,7 +28,7 @@
 Package: libh323plus-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version}), libssl-dev, libpt-dev
+Depends: ${misc:Depends}, libh323-1.24.0v5 (= ${binary:Version}), libssl-dev, libpt-dev
 Conflicts: libopenh323-dev
 Replaces: libopenh323-dev
 Description: H.323 aka VoIP library development files
@@ -42,7 +44,7 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libh323-1.24.0 (= ${binary:Version})
+Depends: ${misc:Depends}, libh323-1.24.0v5 (= ${binary:Version})
 Description: H.323 aka VoIP library development debug files
  This package contains the shared and static debug version of the
  OpenH323 library.

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 URL := http://www.h323plus.org/source/download/h323plus-v$(URLVERSION).tar.gz
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@ --parallel --with autoreconf,autotools-dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-plugins --disable-h46018 --disable-h46023 --disable-h460p --disable-gnugk
@@ -33,10 +33,11 @@
 	@@#this is for stable versions
 	@@echo Downloading $(UPFILENAME) from $(URL) ...
 	@@wget -nv -T10 -t3 -O ../tarballs/$(UPFILENAME) $(URL)
-	@@echo 'Repacking as DFSG-free (removing configure.exe)...'
+	@@echo 'Repacking as DFSG-free (removing iLBC & configure.exe)...'
 	@@mkdir -p ../tarballs/h323plus-$(UPVERSION).tmp/
 	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar xfz ../$(UPFILENAME)
 	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus*/configure.exe
+	@@rm -rf ../tarballs/h323plus-$(UPVERSION).tmp/h323plus/plugins/audio/iLBC
 	@@echo Writing archive ../tarballs/$(FILENAME) ...
 	@@cd ../tarballs/h323plus-$(UPVERSION).tmp ; tar cfz ../$(FILENAME) *
 	@@echo Cleaning up...

=== debian/watch ===
version=3
opts=dversionmangle=s/[\.~]dfsg(\d+)?//,uversionmangle=s/[_\.]+/\./g \
 http://www.h323plus.org/source/ download/h323plus-v?([\d_\.]+).tar.gz
